DROP INDEX DailySalesSummaryTimeAggregate;
CREATE INDEX DailySalesSummaryTimeAggregate ON DailySalesSummary (productId, saleType, year, month, weekOfYear );
UPDATE DailySalesSummary SET weekOfYear=strftime("%W", dateTimeStamp, "unixepoch"), month=strftime("%m", dateTimeStamp, "unixepoch"), year=strftime("%Y", dateTimeStamp, "unixepoch");
UPDATE RegionSalesSummary SET weekOfYear=strftime("%W", dateTimeStamp, "unixepoch"), month=strftime("%m", dateTimeStamp, "unixepoch"), year=strftime("%Y", dateTimeStamp, "unixepoch");

CREATE INDEX DailySalesSummaryYearMonthProduct ON DailySalesSummary (year, month, productId);
CREATE INDEX DailySalesSummaryWeekAggregate ON DailySalesSummary (productId, saleType, year, weekOfYear );
CREATE INDEX RegionSalesSummaryYearMonthProduct ON RegionSalesSummary (year, month, productId);
CREATE INDEX RegionSalesSummaryWeekAggregate ON RegionSalesSummary (productId, regionCode, saleType, year, weekOfYear );
